Page MenuHomePhabricator

CodeGen: Start using inrange annotations on vtable getelementptr.
ClosedPublic

Authored by pcc on Sep 9 2016, 2:42 PM.

Details

Summary

This annotation allows the optimizer to split vtable groups, as permitted by
a change to the Itanium ABI that prevents compilers from adjusting virtual
table pointers between virtual tables.

Depends on D22296

Diff Detail

Event Timeline

pcc updated this revision to Diff 70910.Sep 9 2016, 2:42 PM
pcc retitled this revision from to CodeGen: Start using inrange annotations on vtable getelementptr..
pcc updated this object.
pcc added reviewers: rsmith, eugenis.
pcc added subscribers: cfe-commits, krasin.
pcc updated this revision to Diff 75494.Oct 21 2016, 2:52 PM

Refresh

pcc added a reviewer: rjmccall.Dec 7 2016, 6:36 PM

John, may I ask you to take a look?

rjmccall accepted this revision.Dec 7 2016, 8:53 PM
rjmccall edited edge metadata.

I'm not sure I like this IR design, but this use of it seems fine. LGTM.

This revision is now accepted and ready to land.Dec 7 2016, 8:53 PM
This revision was automatically updated to reflect the committed changes.